import DashboardControl, { Properties } from "devexpress-dashboard/integration/index";
declare type AccessibleOptions = Pick<Properties, "ajaxRemoteService" | "allowMaximizeItems" | "dashboardId" | "dataRequestOptions" | "encodeHtml" | "endpoint" | "extensions" | "initialDashboardId" | "initialDashboardState" | "limitVisibleDataMode" | "loadDefaultDashboard" | "onBeforeRender" | "onDashboardBeginUpdate" | "onDashboardEndUpdate" | "onDashboardInitialized" | "onDashboardInitializing" | "onDashboardStateChanged" | "onInitializing" | "onItemBeginUpdate" | "onItemEndUpdate" | "onOptionChanged" | "resizeByTimer" | "showConfirmationOnBrowserClosing" | "useNeutralFilterMode" | "workingMode">;
interface DxDashboardControl extends AccessibleOptions {
    readonly instance?: DashboardControl;
}
declare const DxDashboardControl: any;
declare const DxAjaxRemoteService: any;
declare const DxDashboardExport: any;
declare const DxDashboardParameterDialog: any;
declare const DxDataInspector: any;
declare const DxDataRequestOptions: any;
declare const DxDataSourceWizard: any;
declare const DxDesignerToolbar: any;
declare const DxExtensions: any;
declare const DxItemBindingPanel: any;
declare const DxItemOptionsPanel: any;
declare const DxMobileLayout: any;
declare const DxViewerApi: any;
declare const DxWizardSettings: any;
export default DxDashboardControl;
export { DxDashboardControl, DxAjaxRemoteService, DxDashboardExport, DxDashboardParameterDialog, DxDataInspector, DxDataRequestOptions, DxDataSourceWizard, DxDesignerToolbar, DxExtensions, DxItemBindingPanel, DxItemOptionsPanel, DxMobileLayout, DxViewerApi, DxWizardSettings };
